Package picard.illumina.quality

# Class CollectHiSeqXPfFailMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.illumina.quality.CollectHiSeqXPfFailMetrics

@DocumentedFeature public class CollectHiSeqXPfFailMetrics extends CommandLineProgram
Collect metrics regarding the reason for reads (sequenced by HiSeqX) not passing the Illumina PF Filter. (BETA)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CollectHiSeqXPfFailMetrics.PFFailDetailedMetric`
a metric class for describing FP failing reads from an Illumina HiSeqX lane *
`static class`
`CollectHiSeqXPfFailMetrics.PFFailSummaryMetric`
Metrics produced by the GetHiSeqXPFFailMetrics program.
`protected static class`
`CollectHiSeqXPfFailMetrics.ReadClassifier`

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`BASECALLS_DIR`
`static final String`
`detailedMetricsExtension`
`Integer`
`LANE`
`int`
`N_CYCLES`
`int`
`NUM_PROCESSORS`
`File`
`OUTPUT`
`double`
`PROB_EXPLICIT_READS`
`static final String`
`summaryMetricsExtension`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectHiSeqXPfFailMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BASECALLS_DIR

@Argument(doc="The Illumina basecalls directory. ", shortName="B") public File BASECALLS_DIR

### OUTPUT

@Argument(shortName="O", doc="Basename for metrics file. Resulting file will be <OUTPUT>.pffail_summary_metrics", optional=false) public File OUTPUT

### PROB_EXPLICIT_READS

@Argument(shortName="P", doc="The fraction of (non-PF) reads for which to output explicit classification. Output file will be <OUTPUT>.pffail_detailed_metrics (if PROB_EXPLICIT_READS != 0)", optional=true) public double PROB_EXPLICIT_READS

### LANE

@Argument(doc="Lane number.", shortName="L") public Integer LANE

### NUM_PROCESSORS

@Argument(shortName="NP", doc="Run this many PerTileBarcodeExtractors in parallel. If NUM_PROCESSORS = 0, number of cores is automatically set to the number of cores available on the machine. If NUM_PROCESSORS < 0 then the number of cores used will be the number available on the machine less NUM_PROCESSORS.", optional=true) public int NUM_PROCESSORS

### N_CYCLES

@Argument(doc="Number of cycles to look at. At time of writing PF status gets determined at cycle 24 so numbers greater than this will yield strange results. In addition, PF status is currently determined at cycle 24, so running this with any other value is neither tested nor recommended.", optional=true) public int N_CYCLES

### detailedMetricsExtension

public static final String detailedMetricsExtension

See Also:
  - Constant Field Values

### summaryMetricsExtension

public static final String summaryMetricsExtension

See Also:
  - Constant Field Values

## Constructor Details

### CollectHiSeqXPfFailMetrics

public CollectHiSeqXPfFailMetrics()

## Method Details

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.